Package es.imim.DISGENET.internal.automation.parameters

# Class GeneEnrichmentParams

java.lang.Object
es.imim.DISGENET.internal.automation.parameters.GeneEnrichmentParams

public class GeneEnrichmentParams extends Object

## Constructor Summary

Constructors
Constructor
Description
`GeneEnrichmentParams()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getColumnName()`
`Integer`
`getMinNumberOfGenes()`
`Long`
`getNetworkId()`
`double`
`getPValueThreshold()`
`String`
`getSource()`
`String`
`getTypeId()`
`boolean`
`isNewNetwork()`
`void`
`setColumnName(String columnName)`
`void`
`setMinNumberOfGenes(Integer minNumberOfGenes)`
`void`
`setNetworkId(Long networkId)`
`void`
`setNewNetwork(boolean newNetwork)`
`void`
`setPValueThreshold(double maxpValue)`
`void`
`setSource(String source)`
`void`
`setTypeId(String typeId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GeneEnrichmentParams

public GeneEnrichmentParams()

## Method Details

### getNetworkId

public Long getNetworkId()

### setNetworkId

public void setNetworkId(Long networkId)

### getColumnName

public String getColumnName()

### setColumnName

public void setColumnName(String columnName)

### getTypeId

public String getTypeId()

### setTypeId

public void setTypeId(String typeId)

### getSource

public String getSource()

### setSource

public void setSource(String source)

### isNewNetwork

public boolean isNewNetwork()

### setNewNetwork

public void setNewNetwork(boolean newNetwork)

### getPValueThreshold

public double getPValueThreshold()

### setPValueThreshold

public void setPValueThreshold(double maxpValue)

### getMinNumberOfGenes

public Integer getMinNumberOfGenes()

### setMinNumberOfGenes

public void setMinNumberOfGenes(Integer minNumberOfGenes)